List resources
curl --request GET \
--url https://aquila.attaxr.com/api/notification-channels \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/notification-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/notification-channels"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"userId": "<string>",
"type": "email",
"target": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Notification Channels
List resources
Paginated, owner-scoped listing. Newest first by default.
GET
/
api
/
notification-channels
List resources
curl --request GET \
--url https://aquila.attaxr.com/api/notification-channels \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/notification-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/notification-channels"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"userId": "<string>",
"type": "email",
"target": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Query Parameters
Page number, 1-based.
Items per page (1-100, default 20).
Sort column (allowlisted).
Available options:
createdAt, updatedAt Sort direction (default desc).
Available options:
asc, desc 
